* {
	padding:0;
	margin:0;
	box-sizing: border-box;
}

body,
html {
	height:100%;
	font-size:62.5%; /*62.5% => 1rem = 10px*/
}
body {
    color: #505050;
	font-weight:400;
	font-size:16px;
	font-size:1.6rem;
}

.container:after {
    content: '';
    display: block;
    clear: both;
}

a,
.btn {
    -webkit-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
a{
	text-decoration:none;
}

.btn.active.focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn:active:focus,
.btn:focus,
a:active,
a:focus {
    outline: 0
}


h1,
h2,
h3,
h4,
h5 {
	margin-bottom:25px;
    font-size: 3rem;
	font-weight:normal;
}
h1 {
    font-size: 5rem;
}
h2 {
    font-size: 4rem;
}

ul {
    list-style: none;
    padding: 0;
}
p{
	margin-bottom:20px;
	line-height:2.5rem;
}
table{
	width:100%;
	border-spacing : 0;
	border-collapse : collapse;
	text-align:left;
}
table th,
table td{
	padding:10px;
}
table th{
	color:#000;
	font-weight:normal;
}

table.striped tr:nth-child(odd){
	background:#e6e6e6;
}


section{padding:70px 0;}
section.head{padding:150px 0 0;}
section.head .container{padding:70px 0;}

.white{color:#FFF;}
.left{float:left;}
.right{float:right;}
.block-center{margin:0 auto;}
.no-padding{padding:0 !important; }
.no-margin{margin:0 !important;}
.row {
    display: flex;
}
.row.center {
    align-items: center;
}
.row.wrap {
    flex-wrap: wrap 
}
.row.column {
    flex-direction: column;
}
.row.column.center {
    flex-direction: column;
    justify-content: center;
}
.row .right {
	order:2;
}

.gap5{gap:5px;}
.gap10{gap:10px;}
.gap15{gap:15px;}
.gap20{gap:20px;}
.gap30{gap:30px;}

.grid{display: grid;}
.grid2{grid-template-columns: repeat(2, 1fr);}
.grid3{grid-template-columns: repeat(3, 1fr);}
.grid4{grid-template-columns: repeat(4, 1fr);}

.btn {
    text-align: center;
	padding:10px 20px;
	cursor:pointer;
	display:inline-block;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	border:none;
}

form .raison{
	position:absolute;
	left:-200%;
}

.text-center{
	text-align:center;
}
.text-right{
	text-align:right;
}
.text-left{
	text-align:left;
}
.uppercase{
    text-transform: uppercase;
}
/* .col.center{
	float:none;
	margin:0 auto;
} */
.hidden{display:none;}
.clear{clear:both;}

form{
	position:relative;
	overflow:hidden;
}
form #coment{
	position:absolute;
	left:-200%;
}

.ligne_form{
	width:100%;
	position:relative;
	margin-bottom:20px;
	clear:both;
}
.ligne_form i.information{
    line-height: 3rem;
    padding-left: 15px;
}
.ligne_form label{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	cursor:pointer;
	padding:15px;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}
.ligne_form input:focus + label,
.ligne_form input.blur + label,
.ligne_form textarea:focus + label,
.ligne_form textarea.blur + label{
	padding:0 15px;
	font-size:1.4rem;
    color: var(--tertiary);
}
.ligne_form input.blur,
.ligne_form input:focus,
.ligne_form textarea.blur,
.ligne_form textarea:focus {
	padding:20px 15px 10px;
	border:1px solid var(--tertiary);
}
.ligne_form.no_label input.blur,
.ligne_form.no_label input:focus,
.ligne_form.no_label textarea.blur,
.ligne_form.no_label textarea:focus {
	padding: 15px;
}
.ligne_form select:focus {
	border:1px solid var(--tertiary);
    color: var(--tertiary);
}


input,
select,
option,
textarea{
	width:100%;
	padding:15px;
	font-size:1.4rem;
	line-height:16px;
	border:1px solid #b2b2b2;
    outline: none;
}
select option:disabled {
    opacity:0.2;
    background:#b2b2b2;
}
input[type=radio],
input[type=checkbox]{
	width:auto;
	padding:0;
	margin:0;
}
input[type=file]{
    cursor: pointer;
}
input[type=radio] + label{
	border:1px solid transparent;
}
input[type=radio]:focus + label{
	border:1px solid var(--tertiary);
}

.liste_radio input{
	position:absolute;
	z-index:-1;
	margin:5px;
}
.liste_checkbox,
.liste_radio {
    /* width: 100%; */
    margin-bottom: 20px;
    /* clear: both; */
    display: inline-block;
}
.liste_radio label{
	padding:7px;
	cursor:pointer;
	text-transform:uppercase;
	background:#000;
	color:#FFF;
	display:inline-block;
	margin-right: 15px;
	text-align:center;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}
.liste_radio label:hover,
.liste_radio input:checked + label{
	background: #505050;
	color:#FFF;
}

.liste_radio input:disabled + label:hover,
.liste_radio input:disabled + label{
	background: #ccc;
	color:#efefef;
	/* opacity:0.2; */
	cursor:no-drop;
}
.liste_checkbox{
    overflow: hidden;
}
.liste_checkbox span{
    display: block;
    float: left;
}
.liste_checkbox .checklist{
    display: block;
    float: left;
    padding: 0 10px;
}
.liste_checkbox .checklist div{
    display: flex;
    gap: 10px;
    align-items: flex-start;
}
.liste_checkbox .checklist input{
    margin: 2px 0 0 0;
    cursor: pointer;
}
.liste_checkbox .checklist label{
    cursor: pointer;
}
textarea{
	max-width:100%;
	min-width:100%;
	min-height:200px;
	height:200px;
	max-height:300px;
	resize: vertical;
}

.switch_content{
    width: 50px;
}
.form_switch h3{
    margin: 0;
}
.switch {
    position: relative;
    display: inline-block;
    width: 30px;
    height: 16px;
}

.switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: -1px;
    bottom: -1px;
    border:1px solid #ccc;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
input:checked + .slider {
    background-color: #5046e5;
}

input:focus + .slider {
    box-shadow: 0 0 1px #5046e5;
}

input:checked + .slider:before {
    -webkit-transform: translateX(20px);
    -ms-transform: translateX(20px);
    transform: translateX(20px);
}
.slider.round {
    border-radius: 50px;
}

.slider.round:before {
    border-radius: 50%;
}


strong{
	font-weight:700;
}
.tooltip {
	position:relative;
}

.mytooltip {
	display:block;
	position: absolute;
	top:100%;
	left:50%;
	margin-left:-60px;
	z-index: 1;
	width: 120px;
	background: #000;
	color: #fff;
	text-align: center;
	padding: 5px;
	text-transform:none;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
}
.mytooltip:after {
	content:'';
	display:block;
	position: absolute;
	top:-5px;
	left:50%;
	margin-left:-5px;
	width: 10px;
	height: 10px;
	background: #000;
	transform: rotate(45deg);
}

.popup{
	position:fixed;
	padding: 100px 0 50px;
	z-index:999;
	top:0;
	left:0;
	width:100%;
	height:100%;
	background:rgba(0,0,0,0.7);
	display:none;
}
.popup.message_session{
	display:block;
	text-align:center;
}
.popup .content{
	margin:0 auto;
	overflow-y:auto;
	max-height:100%;
	max-width: 600px;
	width:100%;
	padding:50px;
	background:#FFF;
	position:relative;
	top:100px;
}
.popup .content .close{
	position:absolute;
	top:20px;
	right:20px;
	padding:10px;
	cursor:pointer;
}
.popup .content input,
.popup .content select{
	border:1px solid #e5e5e5;
}


.pass span{
    position: absolute;
	z-index: 10;
    right : 1rem;
    transform: translateY(-50%);
    cursor: pointer;
}


/********** LOADING ***********/
.overlay#loading{
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0,0,0, 0.8);
}
.lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
.lds-ellipsis div {
    position: absolute;
    top: 33px;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: #fff;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
    left: 8px;
    animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
} 
.lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
    0% {
      transform: scale(0);
    }
    100% {
      transform: scale(1);
    }
}
@keyframes lds-ellipsis3 {
    0% {
      transform: scale(1);
    }
    100% {
      transform: scale(0);
    }
}
@keyframes lds-ellipsis2 {
    0% {
      transform: translate(0, 0);
    }
    100% {
      transform: translate(24px, 0);
    }
}
.inline_loading{
    display: flex;
    justify-content: center;
    padding: 10px;
    /* background: #2f3f55; */
}
.inline_loading .lds-ellipsis div{
    background: var(--primary);
}

/* RESPONSIVE */
@media screen and (max-width: 768px){
	
	html{
		font-size:50%;
	}
	.popup .content{
		padding:25px;
	}
	.text-right{
		text-align:center;
	}
	.text-left{
		text-align:center;
	}

    #cookie #cookie_content{
        left:20px;
        width: auto;
    }

}
